#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "set.h"
#include "glva.h"

/*****************************************************************************************
 ***                    試算モード等の設定                                             ***
 *****************************************************************************************/

void set_filenum(void); 


void cntl(void){
	/*** 試算モードの設定 Cntlset  ***/
	Cntlset = 1;
	Saimu = 0;
	Seidn = 0;
	Useid = -99;
	Pseid = 0;
	
	Psly = Pslsi = Pslsi2 = Seitaikey = 0;
	Kzn = Kzny = 0;
	
	/*** 給付水準の決定方法のセット ***/
	printf("\n給付水準の決定方法のセット\n");
	printf("  8 : 通常計算 〜 有限均衡方式 〜\n");
	printf("  9 : カット率ファイル指定 \n");
	scanf("%d%*c",&Fpset);
	
	if(Fpset==8){
		printf(" 給付水準の決定方法を「有限均衡方式」に設定しました。\n");
	} else if(Fpset==9) {
		printf(" 給付水準の決定方法を「カット率ファイル指定」に設定しました。\n");
	} else {
		printf(" 現在対応していない試算モードです。\n");
		exit(1);
	}
	
	
	Kijun=12; /* 積立金の基準年度 */
	Flg_Kaisho=2;
	
	Kkuci = 0;
	Sienset = 1;
	
	
	/*** オプション試算１（マクロ経済スライドの見直し） ***/
	printf("\n＜オプション試算１＞\n");
	printf(" マクロ経済スライドの見直しを行いますか(Yes:1, No:0)\n");
	printf("   0:いいえ（現行制度）\n");
	printf("   1:はい\n");
	scanf("%d%*c", &Flg_Dmakuro);
	if(Flg_Dmakuro < 0 || Flg_Dmakuro>1){
		printf("  設定が間違っていますFlg_Dmakuro=%d\n", Flg_Dmakuro);
		exit(1);
	} else if(Flg_Dmakuro==1) {
		Dmakuro_Yr = 15;
	} else {
		Dmakuro_Yr = 0;
	}
	
	
	/*** オプション試算２（パート適用拡大） ***/
	printf("\n＜オプション試算２＞\n");
	printf(" パート適用の拡大を行いますか\n");
	printf("   1：H26財政検証（現行制度）\n");
	printf("   2：オプション試算２       \n");
	scanf("%d%*c",&Flg_Part);
	if(Flg_Part<1 || Flg_Part>2){
		printf("パートフラグ設定エラー Flg_Part=%d\n", Flg_Part);
		exit(1);
	}
	
	
	if(Flg_Part>0){
		Part_Yr1 = 16;
		if(Flg_Part==1) Part_Yr2 = 115;
		else            Part_Yr2 =  24;
		Cbm_Pt1 = 5.;
		Cbm_Pt2 =11.;
	} else {
		Part_Yr1 = 0;
		Part_Yr2 = 0;
		Cbm_Pt1 = Cbm_Pt2 = 0.;
	}
	
	
	Kozai = 0;
	
	Flg_Houjou = 0;
	Houjou_Yr = 0;
	Houjou_R  = 1.0;
	
	Flg_Rima=0;
	Drima  =0.;
	Rima_Yr_Str = 999;
	Rima_Yr_End =-999;
	
	
	Shunor = 0.996;
	Ca = 1.0;
	
	Misyu = 0.;
	Tumawake = 0.;
	
	/*------------------------------------------
	     一元化時の共済の積立金の仕分け年度
	  ------------------------------------------*/
	Kyoskijun = 15;
	
}



int ii2usd(int ii){
	int usd;
	
	if(ii<0 || 4<ii){
		printf("ii2usd関数の引数が間違っています ii=%d\n", ii);
		exit(1);
	}
	
	if(Seidn!=0){
		usd=Useid;
	} else {
		if(ii==1){  /* 現厚年 */
			usd=0;
		} else if(ii==2){  /* 国共済 */
			usd=1;
		} else if(ii==3){  /* 地共済 */
			usd=4;
		} else if(ii==4){  /* 私学共済 */
			usd=5;
		} else {
			printf("ii2usd関数の引数が間違っています Seidn=%d, ii=%d\n", Seidn, ii);
			exit(1);
		}
	}
	return(usd);
}


int ii2psd(int ii){
	int psd;
	
	if(ii<0 || 4<ii){
		printf("ii2psd関数の引数が間違っています ii=%d\n", ii);
		exit(1);
	}
	
	if(Seidn!=0){
		if(Seidn<=4) psd=Seidn;
		else         psd=1;
	} else {
		if(ii<1 || 4<ii){
			printf("ii2psd関数の引数が間違っています Seidn=%d, ii=%d\n", Seidn, ii);
			exit(1);
		}
		psd=ii;
	}
	
	return(psd);
}



